Subject: RE: Apache under Cygwin
From: "Marco Carnut" <[email-masked]>
To: <[email-masked]>
Date: Thu, 20 Mar 2003 23:17:15 -0300

Folks,

> > yep. AFAICS this behaviour is definetly startet after 
> cygwin 1.3.10-x.
> > See my apache-1.3.27 running on cygwin-1.3.10-x at 
> > http://apache.dev.wapme.net/server-status which runs *without* this 
> > connection problems.
> >
> >> So, anybody out there using Apache for Cygwin experiencing similar
> >> problems? Any ideas or solutions or debugging strategies?
> >
> > The problem is known. Unfortunatly anybody was able to 
> track the cause
> > of that hanging down :(

Same deal with me -- I tried to compile
Apache-1.3.27+mod_ssl-2.8.13+mod_perl.
It compiles cleanly, but as soon as I start it, it consumes 100% CPU
(the master
httpd gets 0%, the other five add up 100%). Platform: WinXP SP1, Cygwin
1.3.22.

Oddly enough, the precompiled apache-1.3.24 available in the setup
works fine. But since I need the newer versions plus mod_perl, it's not
much use for me.

In a VMWare virtual machine I had cygwin 1.3.9 and there it built and
worked just fine. 

The fact that the older version ran fine doesn't go very well with
my initial theory that it's something in the DLL itself... maybe the
compiler?

--Marco "Kiko" Carnut
--Tempest Security Technologies -- www.tempest.com.br

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/